% VAR results
% Original VAR: Z(t) = A1 + A2*Z(t-1) + e(t), e(t) ~ N(0,SIGMA)
A2 = zeros(3,3);
SIGMA = zeros(3,3);

if cnt_case == 1

    %--------------US case ----------------	
        A1 = 	[	0.00446	;	0.00333	;	0.00128	];
        A2(1,:) = 	[	0.10000	,	0.00000	,	0.00000	];
        A2(2,:) = 	[	0.00000	,	0.58860	,	0.05780	];
        A2(3,:) = 	[	0.00000	,	-0.15810	,	0.84000	];
        SIGMA(1,:) = 	[	1.00E-05	,	0.00E+00	,	0.00E+00	];
        SIGMA(2,:) = 	[	0.00E+00	,	1.10E-05	,	-3.01E-06	];
        SIGMA(3,:) = 	[	0.00E+00	,	-3.01E-06	,	4.87E-05	];
        SIGE =    		3.31E-03	;				
        AR1 = 		0.9743	;							
    %--------------------------------------

elseif cnt_case == 2

    %--------------UK case ----------------									
        A1 = 	[	0.00501	;	0.00587	;	0.00072	];
        A2(1,:) = 	[	0.10000	,	0.00000	,	0.00000	];
        A2(2,:) = 	[	0.00000	,	0.55540	,	0.15460	];
        A2(3,:) = 	[	0.00000	,	-0.05430	,	0.64780	];
        SIGMA(1,:) = 	[	1.00E-05	,	0.00E+00	,	0.00E+00	];
        SIGMA(2,:) = 	[	0.00E+00	,	4.49E-05	,	-1.70E-05	];
        SIGMA(3,:) = 	[	0.00E+00	,	-1.70E-05	,	1.76E-04	];
        SIGE =    		6.70E-03	;				
        AR1 = 		0.9713	;				
   %----------------------------------------------

end

gpistar = (eye(length(A1))-A2)\A1;
gstar   = exp(gpistar(1));
pistar  = exp(gpistar(2));
rstar   = gstar*pistar;
