% VAR results after 1987
% Original VAR: Z(t) = A1 + A2*Z(t-1) + e(t), e(t) ~ N(0,SIGMA)
A2 = zeros(3,3);
SIGMA = zeros(3,3);

if cnt_case == 1

    %--------------US case ----------------	
        A1 = 	[	0.00238	;	0.00567	;	-0.00186	];
        A2(1,:) = 	[	0.52090	,	0.00000	,	0.00000	];
        A2(2,:) = 	[	0.00000	,	0.30010	,	0.06680	];
        A2(3,:) = 	[	0.00000	,	0.22960	,	0.79950	];
        SIGMA(1,:) = 	[	2.18E-05	,	-1.59E-06	,	0.00E+00	];
        SIGMA(2,:) = 	[	-1.59E-06	,	1.05E-05	,	9.33E-07	];
        SIGMA(3,:) = 	[	0.00E+00	,	9.33E-07	,	3.53E-05	];
        SIGE =    		3.23E-03	;				
        AR1 = 		0.9459	;				
    %--------------------------------------

elseif cnt_case == 2

    %--------------UK case ----------------									
        A1 = 	[	0.00286	;	0.00619	;	0.00139	];
        A2(1,:) = 	[	0.48710	,	0.00000	,	0.00000	];
        A2(2,:) = 	[	0.00000	,	0.53120	,	0.16880	];
        A2(3,:) = 	[	0.00000	,	-0.10510	,	0.76010	];
        SIGMA(1,:) = 	[	4.61E-05	,	-4.33E-07	,	0.00E+00	];
        SIGMA(2,:) = 	[	-4.33E-07	,	1.55E-05	,	4.43E-06	];
        SIGMA(3,:) = 	[	0.00E+00	,	4.43E-06	,	9.09E-05	];
        SIGE =    		3.94E-03	;				
        AR1 = 		0.947	;				
   %----------------------------------------------
   
end

gpistar = (eye(length(A1))-A2)\A1;
gstar   = exp(gpistar(1));
pistar  = exp(gpistar(2));
rstar   = gstar*pistar;
