% VAR results
% Original VAR: Z(t) = A1 + A2*Z(t-1) + e(t), e(t) ~ N(0,SIGMA)
A2 = zeros(3,3);
SIGMA = zeros(3,3);

if cnt_case == 1

    %--------------US case ----------------	
        A1 = 	[	0.00234	;	0.00411	;	-0.00274	];
        A2(1,:) = 	[	0.52850	,	0.00000	,	0.00000	];
        A2(2,:) = 	[	0.00000	,	0.49250	,	0.14330	];
        A2(3,:) = 	[	0.00000	,	0.33800	,	0.79410	];
        SIGMA(1,:) = 	[	2.69E-05	,	-8.69E-06	,	0.00E+00	];
        SIGMA(2,:) = 	[	-8.69E-06	,	1.07E-05	,	5.14E-06	];
        SIGMA(3,:) = 	[	0.00E+00	,	5.14E-06	,	2.58E-05	];
        SIGE =    		3.28E-03	;				
        AR1 = 		0.9544	;				
    %--------------------------------------

elseif cnt_case == 2

    %--------------UK case ----------------									
        A1 = 	[	0.00227	;	0.00687	;	-0.00453	];
        A2(1,:) = 	[	0.59320	,	0.00000	,	0.00000	];
        A2(2,:) = 	[	0.00000	,	0.47990	,	0.16640	];
        A2(3,:) = 	[	0.00000	,	0.34300	,	0.76820	];
        SIGMA(1,:) = 	[	2.90E-05	,	-2.27E-05	,	0.00E+00	];
        SIGMA(2,:) = 	[	-2.27E-05	,	4.51E-05	,	1.61E-06	];
        SIGMA(3,:) = 	[	0.00E+00	,	1.61E-06	,	1.71E-04	];
        SIGE =    		6.71E-03	;				
        AR1 = 		0.9561	;										
   %----------------------------------------------
  
end

gpistar = (eye(length(A1))-A2)\A1;
gstar   = exp(gpistar(1));
pistar  = exp(gpistar(2));
rstar   = gstar*pistar;
