% VAR results up to 1987
% Original VAR: Z(t) = A1 + A2*Z(t-1) + e(t), e(t) ~ N(0,SIGMA)
A2 = zeros(3,3);
SIGMA = zeros(3,3);

if cnt_case == 1

    %--------------US case ----------------	
        A1 = 	[	0.00228	;	0.00276	;	-0.00092	];
        A2(1,:) = 	[	0.53950	,	0.00000	,	0.00000	];
        A2(2,:) = 	[	0.00000	,	0.65860	,	0.13390	];
        A2(3,:) = 	[	0.00000	,	0.11330	,	0.80790	];
        SIGMA(1,:) = 	[	2.40E-05	,	-1.10E-05	,	0.00E+00	];
        SIGMA(2,:) = 	[	-1.10E-05	,	1.05E-05	,	4.05E-06	];
        SIGMA(3,:) = 	[	0.00E+00	,	4.05E-06	,	2.17E-05	];
        SIGE =    		3.24E-03	;				
        AR1 = 		0.9533	;				
    %--------------------------------------

elseif cnt_case == 2

    %--------------UK case ----------------									
        A1 = 	[	0.00338	;	0.00765	;	-0.00284	];
        A2(1,:) = 	[	0.39290	,	0.00000	,	0.00000	];
        A2(2,:) = 	[	0.00000	,	0.42010	,	0.24460	];
        A2(3,:) = 	[	0.00000	,	0.21500	,	0.79930	];
        SIGMA(1,:) = 	[	5.12E-05	,	-2.61E-05	,	0.00E+00	];
        SIGMA(2,:) = 	[	-2.61E-05	,	6.52E-05	,	-2.13E-05	];
        SIGMA(3,:) = 	[	0.00E+00	,	-2.13E-05	,	2.16E-04	];
        SIGE =    		8.07E-03	;				
        AR1 = 		0.9563	;				
   %----------------------------------------------
   
end

gpistar = (eye(length(A1))-A2)\A1;
gstar   = exp(gpistar(1));
pistar  = exp(gpistar(2));
rstar   = gstar*pistar;
