% load estimation results and make the sequence of (1) income growth,
% (2)income gap, (3) trend inflation, and (4) inflation gaps.
% This program will generate "gaps_g4.mat", which should be copied to 
% the fortran folder for simulation. 

gap_est = zeros(242,2*4);

for cnt_case = 1:2
for st_nost  = 1:1
    
    cd 'C:\Users\mitsu\Dropbox\01Rsearch\JMCB 2021\term\est_inc_inf JMCB'
    
    if st_nost == 1
        
        switch cnt_case

            case 1; cd '01US'; load 0425us;
            case 2; cd '02UK'; load 0425uk;

        end
        
        gap_est(:,cnt_case*4-3:cnt_case*4) = ...
            [oo_.SmoothedVariables.gU, oo_.SmoothedVariables.yU, oo_.SmoothedVariables.tiU, oo_.SmoothedVariables.piU];
        
    elseif st_nost == 2
        
        switch cnt_case

            case 1; cd '01USst'; load 0426us_st;
            case 2; cd '02UKst'; load 0426uk_st;

        end
        
        gap_est_st(:,cnt_case*4-3:cnt_case*4) = ...
            [zeros(length(oo_.SmoothedVariables.yU),1), oo_.SmoothedVariables.yU, oo_.SmoothedVariables.tiU, oo_.SmoothedVariables.piU];
    
    end
    
end
end

% gap_est(1:7,1:2) = nan;
% gap_est_st(1:7,1:2) = nan;
% 
% % gap_est(1:71,9:end) = nan;
% % gap_est_st(1:71,9:end) = nan;
% gap_est(1:71,9:end) = nan;
% gap_est_st(1:71,9:end) = nan;

cd 'C:\Users\mitsu\Dropbox\01Rsearch\JMCB 2021\term\est_inc_inf JMCB'

save gaps_g4 gap_est 
save gaps_g4_st gap_est_st 




